/*******************************************************************************************************************
  File Name: main.c
  Summary: This is the main file generated using MPLAB(c) Code Configurator
  Description:  This file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  MPLAB(c) Code Configurator - 3.16
        Device            :  PIC16F1829
        Driver Version    :  1.02
    The generated drivers are tested against the following:
        Compiler          :  XC8 1.38
        MPLAB             :  MPLAB X 3.40
*******************************************************************************************************************/

/*************** Includes *****************************************************************************************/
#include "system.h"

/*  Main application */
void main(void)
{
    SYSTEM_Initialize();                        // initialize the system
    
    INTERRUPT_GlobalInterruptEnable();          // Enable the Global Interrupts
    
    INTERRUPT_PeripheralInterruptEnable();      // Enable the Peripheral Interrupts

    APP_IrrigationWatch_Initialize();           // initialize the app
    
    while (1)
    {
        SYSTEM_Tasks();
        APP_IrrigationWatch_Tasks();            // Application code tasks
    }
}
/*************** End of File **************************************************************************************/